summaryrefslogtreecommitdiffstats
path: root/development/rstudio-desktop
diff options
context:
space:
mode:
author Petar Petrov2023-06-10 02:31:48 +0200
committer Willy Sudiarto Raharjo2023-06-10 02:31:48 +0200
commit10da5aaa0e6420218dd8318c7e1d66fbda5b4a6a (patch)
tree6efc31c1f16daec058d4ea9d71269a58b3ebd15a /development/rstudio-desktop
parent74a12558bf78214616a50afb76211e627aa45b93 (diff)
downloadslackbuilds-10da5aaa0e6420218dd8318c7e1d66fbda5b4a6a.tar.gz
development/rstudio-desktop: Updated for version 2023.06.0+421.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/rstudio-desktop')
-rw-r--r--development/rstudio-desktop/README31
-rw-r--r--development/rstudio-desktop/rstudio-desktop.SlackBuild23
-rw-r--r--development/rstudio-desktop/rstudio-desktop.info12
-rw-r--r--development/rstudio-desktop/slack-desc2
4 files changed, 41 insertions, 27 deletions
diff --git a/development/rstudio-desktop/README b/development/rstudio-desktop/README
index 9d2ff0ab37..5ee939f0a8 100644
--- a/development/rstudio-desktop/README
+++ b/development/rstudio-desktop/README
@@ -1,9 +1,26 @@
-RStudio is a cross-platform IDE for the R statistical computing
-environment. It is available in desktop and server versions.
-This is the Linux desktop version.
+RStudio IDE: the most popular coding environment for R
-This script repackages the Fedora/Redhat package provided by RStudio.
-RStudio currently only supports 64-bit systems.
+the RStudio integrated development environment (IDE) is a set of tools
+built to help you be more productive with R and Python. It includes a
+console, syntax-highlighting editor that supports direct code execution.
+It also features tools for plotting, viewing history, debugging and
+managing your workspace.
-The last supported version of RStudio for 32-bit systems is 1.1.463.
-A rstudio-desktop-legacy SlackBuild for 32-bit systems is available.
+RStudio is available in desktop and server versions. This is the DESKTOP
+version, featuring:
+
+* Syntax highlighting, code completion, and smart indentation
+* Execute R code directly from the source editor
+* Quickly jump to function definitions
+* View content changes in real-time with the Visual Markdown Editor
+* Easily manage multiple working directories
+* Integrated R help and documentation
+* Interactive debugger
+* Extensive package development tools
+
+At the moment, the script just repackages the Fedora/Redhat binaries,
+provided by upstream.
+
+NOTE
+RStudio currently only supports 64-bit systems. The last 32-bit version
+is 1.1.463, provided by "rstudio-desktop-legacy", available at SBo.
diff --git a/development/rstudio-desktop/rstudio-desktop.SlackBuild b/development/rstudio-desktop/rstudio-desktop.SlackBuild
index d762f31093..b099ce5bf6 100644
--- a/development/rstudio-desktop/rstudio-desktop.SlackBuild
+++ b/development/rstudio-desktop/rstudio-desktop.SlackBuild
@@ -2,8 +2,9 @@
# Slackware build script for rstudio-desktop
+# Copyright 2023 Petar Petrov, slackalaxy at gmail dot com
+# Copyright 2022-2023 Isaac Yu <isaacyu1@isaacyu1.com>
# Copyright 2018 Ekin Akoglu, Erdemli/Mersin, Turkey <ekinakoglu@gmail.com>
-# Copyright 2022-2023 Isaac Yu <isaacyu@protonmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,9 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=rstudio-desktop
-SRCNAM=rstudio
-VERSION=${VERSION:-2023.03.1+446}
-SRCVER=${SRCVER:-$(echo $VERSION | sed 's/+/-/g')}
+VERSION=${VERSION:-2023.06.0+421}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -46,17 +45,15 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+if [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "x86_64" ]; then
- PACKAGESUFFIX="x86_64"
-else
- echo "$ARCH is not supported for $PRGNAM-$VERSION." >&2
- exit 1
-fi
-
set -e
rm -rf $PKG
@@ -65,7 +62,7 @@ cd $TMP
rm -rf rstudio-${VERSION/+/-}
mkdir rstudio-${VERSION/+/-}
cd rstudio-${VERSION/+/-}
-bsdtar -xvf $CWD/$SRCNAM-$SRCVER-$PACKAGESUFFIX.rpm
+bsdtar -xvf $CWD/rstudio-${VERSION/+/-}-$ARCH.rpm
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -89,7 +86,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- $PKG/usr/lib64/rstudio/resources/app/{COPYING,INSTALL,NOTICE,README.md,SOURCE} \
+ $PKG/usr/lib64/rstudio/resources/app/{COPYING,NOTICE,README.md,SOURCE} \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/development/rstudio-desktop/rstudio-desktop.info b/development/rstudio-desktop/rstudio-desktop.info
index c57bfc50ad..9888bbdc10 100644
--- a/development/rstudio-desktop/rstudio-desktop.info
+++ b/development/rstudio-desktop/rstudio-desktop.info
@@ -1,10 +1,10 @@
PRGNAM="rstudio-desktop"
-VERSION="2023.03.1+446"
-HOMEPAGE="https://posit.co"
+VERSION="2023.06.0+421"
+HOMEPAGE="https://posit.co/"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://download1.rstudio.org/electron/rhel8/x86_64/rstudio-2023.03.1-446-x86_64.rpm"
-MD5SUM_x86_64="7b33fa2880b615b314f69a1acd5a08bc"
+DOWNLOAD_x86_64="https://download1.rstudio.org/electron/rhel8/x86_64/rstudio-2023.06.0-421-x86_64.rpm"
+MD5SUM_x86_64="b924a0d41cffcc3015e6a643e451314c"
REQUIRES="R postgresql"
-MAINTAINER="Isaac Yu"
-EMAIL="isaacyu@protonmail.com"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/development/rstudio-desktop/slack-desc b/development/rstudio-desktop/slack-desc
index 80ad384c8e..4683bf3cb3 100644
--- a/development/rstudio-desktop/slack-desc
+++ b/development/rstudio-desktop/slack-desc
@@ -12,7 +12,7 @@ rstudio-desktop: RStudio is a cross-platform IDE for the R statistical computing
rstudio-desktop: environment. It is available in desktop and server versions.
rstudio-desktop: This is the Linux desktop version.
rstudio-desktop:
-rstudio-desktop: See http://www.rstudio.com
+rstudio-desktop: https://posit.co/
rstudio-desktop:
rstudio-desktop:
rstudio-desktop: